org.springframework.data.relational.core.dialect

## Class RenderContextFactory

- java.lang.Object
- - org.springframework.data.relational.core.dialect.RenderContextFactory

    public class RenderContextFactory
    extends Object

Factory for `RenderContext` based on `Dialect`.

Since:
  1.1
Author:
  Mark Paluch

### Field Summary

Fields
`Dialect` `dialect`
`RenderNamingStrategy` `namingStrategy`

### Constructor Summary

Constructors
Constructor and Description
`RenderContextFactory(Dialect dialect)` Creates a new `RenderContextFactory` given `Dialect`.

### Method Summary

All Methods Instance Methods Concrete Methods
`RenderContext` `createRenderContext()` Returns a `RenderContext` configured with `Dialect` specifics.
`void` `setNamingStrategy(RenderNamingStrategy namingStrategy)` Set a `RenderNamingStrategy`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### dialect

    public final Dialect dialect

#### namingStrategy

    public RenderNamingStrategy namingStrategy

### Constructor Detail

#### RenderContextFactory

    public RenderContextFactory(Dialect dialect)

Creates a new `RenderContextFactory` given `Dialect`.

Parameters:
  `dialect` - must not be null.

### Method Detail

#### setNamingStrategy

    public void setNamingStrategy(RenderNamingStrategy namingStrategy)

Set a `RenderNamingStrategy`.

Parameters:
  `namingStrategy` - must not be null.

#### createRenderContext

    public RenderContext createRenderContext()

Returns a `RenderContext` configured with `Dialect` specifics.

Returns:
  the `RenderContext`.